.layout-container--donation {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: relative;
  padding: 20px;

  &::after {
    content: "";
    position: fixed;
    inset: 0;
    background-image: var(--background-image);
    background-size: cover;
    background-position: left center;
    z-index: -1;
  }

  & .layout-container__inner {
    width: 100%;
    background-color: var(--theme-color);
    padding-top: 20px;
    padding-bottom: 20px;
    border-radius: 20px;
  }

  & .layout-header__inner {
    display: flex;
    justify-content: center;
  }

  @media (min-width: 1024px) {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: unset;
    padding: 0;

    &::after {
      left: 50%;
    }

    & .layout-container__inner {
      border-radius: unset;
      display: flex;
      flex-direction: column;
      padding-top: unset;
      padding-bottom: unset;
    }

    & .layout-header__inner {
      display: flex;
      justify-content: unset;
    }

    & .layout-main {
      display: flex;
      flex-direction: column;
      justify-content: center;
    }
  }
}

.node--type-donation-page {
  display: flex;
  flex-direction: column;
  gap: 40px;

  & .field--name-field-donation-page-header {
    border-bottom: 1px solid var(--border-secondary);
  }

  & .field--name-field-donation-page-footer {
    margin-top: auto;
    border-top: 1px solid var(--border-secondary);
    padding: 24px 0;
  }
}
